---
updatedAt: 2026-07-21T06:39:12.000Z
agentTools:
  projectIndex: https://developers.tron.network/llms.txt
---

# GetAvailableUnfreezeCount

Remaining times of executing unstake operation in Stake2.0

Stake 2.0 supports unstaking in batches, but only allows a maximum of 32 unstake operations at the same time. That is to say, when a user initiates the first unstake operation, before the TRX of the first unstaking arrives and is ready to be withdrawn to the account, only another 31 unstake operations can be initiated. This is designed to prevent malicious attacks.

***

## Related resources

* [Withdrawexpireunfreeze](https://developers.tron.network/reference/withdrawexpireunfreeze) — previous in this section
* [Getcanwithdrawunfreezeamount 1](https://developers.tron.network/reference/getcanwithdrawunfreezeamount-1) — next in this section
* [Unstaking](https://developers.tron.network/docs/unstaking) — max 32 ongoing unstake operations per account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "full-node-http-api",
    "version": "4.8.0"
  },
  "servers": [
    {
      "url": "https://api.shasta.trongrid.io",
      "description": "Shasta Testnet"
    },
    {
      "url": "https://nile.trongrid.io",
      "description": "Nile Testnet"
    },
    {
      "url": "https://api.trongrid.io",
      "description": "Mainnet (real assets)"
    }
  ],
  "components": {
    "schemas": {
      "NodeHttpBusinessError": {
        "title": "Error",
        "type": "object",
        "description": "When request processing fails, java-tron may return this format with HTTP 200; the `Error` field contains the error details.",
        "required": [
          "Error"
        ],
        "properties": {
          "Error": {
            "type": "string",
            "description": "Error text returned by java-tron."
          }
        },
        "examples": [
          {
            "Error": "Invalid request parameters."
          }
        ],
        "additionalProperties": false
      }
    }
  },
  "security": [
    {}
  ],
  "paths": {
    "/wallet/getavailableunfreezecount": {
      "post": {
        "summary": "GetAvailableUnfreezeCount",
        "description": "Remaining times of executing unstake operation in Stake 2.0",
        "operationId": "getavailableunfreezecount-1",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "owner_address": {
                    "type": "string",
                    "description": "Transaction initiator address. (Format: Base58 or Hex)",
                    "default": ""
                  },
                  "visible": {
                    "type": "boolean",
                    "description": "Optional. Set to `true` to format addresses in Base58; set to `false` for hex format. (Default: `false`)",
                    "default": "false"
                  }
                },
                "required": [
                  "owner_address"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "When the request completes normally, the response body contains the endpoint result. If request processing raises an exception, the HTTP status may still be 200; in that case, the response body contains only the `Error` field.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "Result",
                      "not": {
                        "type": "object",
                        "required": [
                          "Error"
                        ]
                      },
                      "type": "object",
                      "properties": {
                        "count": {
                          "type": "integer",
                          "format": "int64",
                          "description": "Remaining times of available unstaking."
                        }
                      }
                    },
                    {
                      "$ref": "#/components/schemas/NodeHttpBusinessError"
                    }
                  ]
                },
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```